Name:           ukui-kwin-effects
Version:        1.0.8
Release:        1
Summary:        UKUI-KWin effects package
License:        GPL-2+
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz


Patch01:	0001-ukui-kwin-effects-1.0.8-change-QRectF-to-QRect.patch
Patch02:	0002-ukui-kwin-effects-1.0.8-change-c++14-to-c++20.patch


BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib2-devel
BuildRequires: gsettings-qt-devel
BuildRequires: kdecoration-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kglobalaccel-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kwayland-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: mtdev-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-private-devel
BuildRequires: qt5-qtdeclarative
BuildRequires: qt5-qttools-devel
BuildRequires: qt5-qttools-devel
BuildRequires: kwin-devel
BuildRequires: qt5-qtdeclarative-devel


Requires: kf5-kglobalaccel
Requires: kf5-plasma
Requires: qt5-qtquickcontrols2


%description
UKUI-KWin effects package
 This package provides UKUI-KWin with some good effects.

%prep
%setup -q
%patch01 -p1
%patch02 -p1


%build
mkdir build && pushd build
%cmake ..
%{make_build}
popd


%install
pushd build
rm -rf $RPM_BUILD_ROOT
%{make_install} DESTDIR=%{buildroot}
popd


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/ukui-window-switch
%{_libdir}/qt5/plugins/kwin/effects/plugins/libwindowsview.so
%{_datadir}/kservices5/ukui-kwin/kwin4_window_switcher_thumbnail_grid.desktop
%{_datadir}/ukui-kwin/tabbox/thumbnail_grid/contents/ui/main.qml
%{_datadir}/ukui-kwin/tabbox/thumbnail_grid/metadata.desktop


%changelog
* Mon Apr 08 2024 huayadong <huayadong@kylinos.cn> - 1.0.8-1
- init version to 1.0.8
